# tydel
<!--{h1:.massive-header.-with-tagline}-->

> Typed models and collections

[![Build Status](https://img.shields.io/travis/fahad19/tydel/master.svg)](http://travis-ci.org/fahad19/tydel) [![npm](https://img.shields.io/npm/v/tydel.svg)](https://www.npmjs.com/package/tydel)

For documentation, visit [https://fahad19.github.io/tydel](https://fahad19.github.io/tydel).

## Overview

Tydel is a small library aimed at giving you a solid and strict **foundation** for your **data structure** needs in JavaScript.

## Terminologies

The three main **terminologies** you would come across are:

* [Types](./docs/getting-started/types.md): Strict type **expressions** for Model's values,
* [Models](./docs/getting-started/models.md): for **representing** your data, and
* [Collections](./docs/getting-started/collections.md): for containing Models like an **array**.

## Guides

There is a [quickstart](./docs/intro/quickstart.md) guide which would get you up an running in no time. To understand the concepts well, read the [getting started](./docs/getting-started/types.md) guides.

[Install](./docs/intro/installation.md) it, and enjoy!

## Integrations

* [tydel-react](https://github.com/fahad19/tydel-react): React.js bindings

## Thanks

These beautifully made open source projects have directly or indirectly played an influential role for Tydel, and a huge amount of thanks go to their authors and contributors:

* [Backbone.js](http://backbonejs.org/)
* [Redux](https://redux.js.org/)
* [MobX](https://mobxjs.github.io/mobx/)

## License

MIT © [Fahad Ibnay Heylaal](http://fahad19.com)
